View Issue Details

IDProjectCategoryView StatusLast Update
10038Feature requests[All Projects] Securitypublic2019-03-25 18:39
Reporterhtwsaar Assigned Todominikvitt  
PrioritynormalSeverityfeature 
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version4.0.0dev 
Summary10038: maintenance mode and announcing
Description

We would be happy to have a 'maintenance mode' for the whole LS system. This is useful to prevent people from starting to answer surveys shortly before the system administrator wants to do a LS update, i.e.

  • no survey can get called

  • huge, highly visible message is shown, telling everyone that this system is in maintenance mode and one should try later

  • system admin sees a warning if there are still people answering surveys (with number and last action time) ore survey admins are logged in

  • survey administrators get a huge message, telling them they should leave the system

  • everyone who were using the system (answering surveys) the moment the maintenance mode were established by the system admin also get a message that the system will be locked in x minutes

  • There could even be a message informing the users some days ahead of a planned maintenance ...

TagsNo tags attached.

Activities

jelo

jelo

2016-03-17 14:31

partner   ~36584

There is a thread about that idea:

https://www.limesurvey.org/forum/future-features/96904-maintenance-pause-mode-per-installation-per-survey

DenisChenu

DenisChenu

2016-03-17 14:37

developer   ~36585

Not in LS core : more easily maintainable/updatable in plugin

holch

holch

2016-03-17 20:26

reporter   ~36598

Last edited: 2016-03-17 20:26

View 2 revisions

I am voting for this! Prefereably in core.
Plugin only if it is a core plugin delivered with the LS install. This is a core feature for a survey system and we can not afford to break it.

Mazi

Mazi

2016-03-18 09:30

partner   ~36602

Since the plugin event is already there I also think that a core plugin (activated by default) would be the best approach.

I hope that this is not that tricky to implement for a survey. We can simply extend the survey text messages and if a "Maintenance mode warning" message exist, display it on top of the screen.

jelo

jelo

2016-03-18 17:59

partner   ~36612

The feature voting process cannot handle both idea and implementation at once. That should be done in two steps. When Denis puts rejection on this feature it counted against the feature and not its implementation.

If feature idea and implementation cannot be separated I see no sense in using this feature request system at all.

Mazi

Mazi

2016-03-18 22:15

partner   ~36613

I agree that the voting should only be used to rate the idea. That's what it is all about.

The implementation detail is something that always has to be discussed and since there will mostly be different opinions down-voting if your implementation suggestion is not used is the wrong way.

DenisChenu

DenisChenu

2016-03-19 09:59

developer   ~36615

OK, then +1 for idea, -1 for implementation

DenisChenu

DenisChenu

2016-03-19 10:00

developer   ~36616

But : think :

  • Plugin activated : maintenance mode
  • Plugin deactivated : no maintenance
LouisGac

LouisGac

2016-03-21 09:52

manager   ~36632

I'm ok with the idea of doing it in core, with a parameter in global setting, like for most CMS or webapp.
But first : debugging ;-)

jelo

jelo

2016-03-23 17:27

partner   ~36753

Re feature request of this ticket is only for the whole installation but the linked discussion covered a bit more:

Maintenance screen / Pause screen with a HTML Field to add infos.
Perhaps an URL field to be able to redirect to different Limesurvey installation

Levels:
1.) Per Limesurvey installation
2.) Per Survey (when activated, when deactivated) Being able to pause without any further activities attached. Paused, not expired or deactivated.

You often get hits on Survey URLs, which are already done. But you don't want to piss of probands. You don't want to show them a error message of the LS system which they don't understand. You want to customize the error message.

DenisChenu

DenisChenu

2016-03-23 17:50

developer   ~36755

The majour problem :

  • We allow only "existing" user to pursue the survey : YES/NO
  • We need a "delay" warning ?

jelo : for custom messages :

jelo

jelo

2016-03-26 14:45

partner   ~36816

@Denis:
If a pause is put into place for all or a certain survey, new entries are blocked.
Users which are already filling out the survey, should be able to continue.
You might think about an option to cut them of as well. A additional warning could be displayed for people filling out the survey e.g. "Survey will close in XX Min. Please ensure that you finish the survey in the next x Min."
Message should not be hardcoded.

Since I was told, to not specify feature requests to certain LS versions I will not take any restriction of the current code base into account. To raise chances of getting feature implemented I would prefer have feature requests against certain LS versions.

Custom message in the sense to have a custom message for every survey.
And the URL direction to get users to the newer survey or to a different Limesurvey installation after distributing the survey urls. Or to a special website as a follow up.

bruce78

bruce78

2016-12-07 15:22

reporter   ~42448

Something like this would be very cool!

asshank

asshank

2016-12-07 17:06

reporter   ~42459

I absolutely agree that this is a very usefull feature!

Heinrich

Heinrich

2016-12-09 09:44

reporter   ~42489

Yes, totally agree. Maintenance mode would be perfect and very useful. Thank you for all the work you put into limesurvey!

DenisChenu

DenisChenu

2017-01-23 18:22

developer   ~42805

https://framagit.org/SondagePro-LimeSurvey-plugin/maintenanceMode

Contribution welcome

Mazi

Mazi

2017-01-23 18:34

partner   ~42806

Nice, will test once documentation is available.

But since I know that Denis usually provides verynice plugins, I already vote for making this a core plugin.

bruce78

bruce78

2017-01-23 19:27

reporter   ~42807

+1

DenisChenu

DenisChenu

2017-01-25 09:37

developer   ~42829

For core plugin : let me add the alert + a javascript warning for admin user.

For 3.0 only (need plugin translation system for default language string)

DenisChenu

DenisChenu

2017-01-27 18:39

developer   ~42855

OK : get it + warning X minutes before maintenance (option)

  1. : get https://github.com/SondagesPro/renderMessage / https://framagit.org/SondagePro-LimeSurvey-plugin/renderMessage
  2. Activate it
  3. get https://github.com/SondagesPro/maintenanceMode / https://framagit.org/SondagePro-LimeSurvey-plugin/maintenanceMode

Go to plugin settings

DenisChenu

DenisChenu

2017-01-30 10:13

developer   ~42866

https://www.limesurvey.org/forum/plugins/108261

dominikvitt

dominikvitt

2019-03-25 18:39

developer   ~51119

This feature is implemented.
https://github.com/LimeSurvey/LimeSurvey/commit/182d40592f73d7c41cda72354addb4dd8a815d26
Maintenance mode feature is implemented in simplest form: global setting + survey blocking on the frontend with warning + admin header warning + theme editor editing of twig and css files.
More features may be added later.

Issue History

Date Modified Username Field Change
2015-11-16 14:20 htwsaar New Issue
2016-03-17 14:31 jelo Note Added: 36584
2016-03-17 14:37 DenisChenu Note Added: 36585
2016-03-17 20:26 holch Note Added: 36598
2016-03-17 20:26 holch Note Edited: 36598 View Revisions
2016-03-18 09:30 Mazi Note Added: 36602
2016-03-18 17:59 jelo Note Added: 36612
2016-03-18 22:15 Mazi Note Added: 36613
2016-03-19 09:59 DenisChenu Note Added: 36615
2016-03-19 10:00 DenisChenu Note Added: 36616
2016-03-21 09:52 LouisGac Note Added: 36632
2016-03-23 17:27 jelo Note Added: 36753
2016-03-23 17:50 DenisChenu Note Added: 36755
2016-03-26 14:45 jelo Note Added: 36816
2016-12-07 15:22 bruce78 Note Added: 42448
2016-12-07 17:06 asshank Note Added: 42459
2016-12-09 09:44 Heinrich Note Added: 42489
2017-01-23 18:22 DenisChenu Note Added: 42805
2017-01-23 18:34 Mazi Note Added: 42806
2017-01-23 19:27 bruce78 Note Added: 42807
2017-01-25 09:37 DenisChenu Note Added: 42829
2017-01-27 18:39 DenisChenu Note Added: 42855
2017-01-30 10:13 DenisChenu Note Added: 42866
2019-03-25 18:39 dominikvitt Assigned To => dominikvitt
2019-03-25 18:39 dominikvitt Status new => resolved
2019-03-25 18:39 dominikvitt Resolution open => fixed
2019-03-25 18:39 dominikvitt Fixed in Version => 4.0.0dev
2019-03-25 18:39 dominikvitt Note Added: 51119